function results = DS_bias_calc(n,t,W,G,S,A,theta)

% This function caclulates the three terms needed to derive the bias
% correction

bias1 = 0;
bias2 = 0;
bias3 = 0;
gamma_coff = theta(1); 
rho_coff = theta(2);

for s = 1:t-1
    temp1a = eye(n); 
    temp2a = W(:,1+s*n:(s+1)*n);
    temp3a = G(:,1+s*n:(s+1)*n)*(gamma_coff*temp1a+rho_coff*temp2a);
    for h = 2:t-s
        temp1b = eye(n);
        for j = 1:h-1
            temp1b = temp1b*A(:,1+(s+j-1)*n:(s+j)*n);
        end
        temp1a = temp1a+temp1b;
        temp2a = temp2a+W(:,1+(s+h-1)*n:(s+h)*n)*temp1b;
        temp3a = temp3a+gamma_coff*G(:,1+(s+h-1)*n:(s+h)*n)*temp1b+rho_coff*G(:,1+(s+h-1)*n:(s+h)*n)*W(:,1+(s+h-1)*n:(s+h)*n)*temp1b;
    end
    % See matrix (14) in Lee and Yu 2012, Jn not needed because no time
    % fixed effects
    bias1 = bias1+trace(inv(S(:,1+s*n:(s+1)*n))*temp1a);
    bias2 = bias2+trace(inv(S(:,1+s*n:(s+1)*n))*temp2a);
    bias3 = bias3+trace(inv(S(:,1+s*n:(s+1)*n))*temp3a);
end

results.bias1 = bias1;
results.bias2 = bias2;
results.bias3 = bias3;