function results = DS_bias_prep(kz,n,t,W,rho,theta)

% This functions calculates S, G and A for the bias correction

In = eye(n);
bias = zeros(kz+2,1);
S = kron(ones(1,t+1),In)-rho*W;
G = zeros(n,n*t);
for s=1:t
    G(:,1+(s-1)*n:s*n)=W(:,1+s*n:(s+1)*n)*inv(S(:,1+s*n:(s+1)*n));
end

gamma_coff = theta(1); 
rho_coff = theta(2);
for s=1:t
    A(:,1+(s-1)*n:s*n) = inv(S(:,1+s*n:(s+1)*n))*(gamma_coff*In+rho_coff*W(:,1+(s-1)*n:s*n));
end

results.S = S;
results.G = G;
results.A = A;

