function results = DS_demean(ya,yb,na,nb,ta,tb,nta,ntb,shift,si)

t = ta + tb;
% reformat to make demeaning per region easier
ya = reshape(ya,na,ta);
yb = reshape(yb,nb,tb);

% Seperate the y observations into Flevoland and other provinces
ytOP = [yb, ya([1:si-1, si+1:end],:)];
ytFl = ya(si,:);

% Demean the observations
temp = mean(ytOP')';
temp = temp*ones(1,t);
ytOP = ytOP-temp;
ytFl = ytFl-mean(ytFl);

% Reassamble the before and after matrices
ya = [ytOP(1:si-1,shift:end); ytFl; ytOP(si:end,shift:end)];
yb = ytOP(:,1:shift-1);

% Reformat into a vector
ya = reshape(ya,nta,1);
yb = reshape(yb,ntb,1);

results.ya = ya;
results.yb = yb;
