function gamma1 = gamma_Paul(theta, varcov, N)

% Set up variable names
b1 = theta(1);
b2 = theta(2*N+3);
b3 = theta(2);
b4 = theta(3:N+2);
b5 = theta(N+3:2*N+2);

% Obtain gamma1 estimate using the beta4 linking equations
coefgam4 = zeros(N,1);
for i = 1:N
    coefgam4(i)=b4(i)/(1-b2);
end
% Obtain gamma1 estimate using the beta5 linking equations
coefgam5 = zeros(N,1);
for i = 1:N
    coefgam5(i)=b5(i)/(-b1-b3);
    % SE from sum and quotient equations
end
gamma1.b4 = coefgam4;
gamma1.b5 = coefgam5;

cs=zeros(1000,N,3);
for d=1:1000
    par = chol(varcov)'*randn(size(theta)) + theta;
    for i=1:N
        cs(d,i,1)=par(2+i)/(1-par(2*N+3));
        cs(d,i,2)=par(2+N+i)/(-par(1)-par(2));
        cs(d,i,3)=0.5*cs(d,i,1)+0.5*cs(d,i,2);
    end
end
cs_std=zeros(N,3);
for i=1:N
    cs_std(i,1)=std(cs(:,i,1),0,1);
    cs_std(i,2)=std(cs(:,i,2),0,1);
    cs_std(i,3)=std(cs(:,i,3),0,1);
end
gamma1.b4b=[coefgam4 cs_std(:,1)];
gamma1.b5b=[coefgam5 cs_std(:,2)];
gamma1.b45b=[0.5*coefgam4+0.5*coefgam5 cs_std(:,3)];
