function llike = lee_f_sar_sdpd_Wt(parm,y,wy,x,W)

% Transform the rho to ensure it will obtaina value between -1 and 1
rho = 2/(1+exp(-parm))-1;

% Obtain dimensions
[n junk]=size(W);
[nt junk]=size(y);
[junk kx]=size(x);
t=nt/n; 

% Caclulate the sum of the log deterimants of the time varying weight
% matrix
J=0;
for i=1:t
    St=speye(n)-rho*W(:,1+i*n:(i+1)*n);
    dSt=log(det(St));
    J=J+dSt;
end

% Use substitution to obtain the b and sige term, thereby making the log
% likelihood only depend on rho
Sy=y-rho*wy;
b = x\Sy;
e = Sy - x*b;
epe = e'*e;

% The concetrated log likelihood, which is maximized over rho
llike = (nt/2)*log(epe/nt) -J+(nt/2)*(log(2*pi)+1);