function llike = lee_f_sar_sdpd_Wt_DS(parm,ya,yb,wya,wyb,xa,xb,Wa,Wb)

% Transform the rho to ensure it will obtaina value between -1 and 1
rho = 2/(1+exp(-parm))-1;

% Obtain dimensions
[na junk]=size(Wa);
[nta junk]=size(ya);
[junk kxa]=size(xa);
ta=nta/na; 

[nb junk]=size(Wb);
[ntb junk]=size(yb);
[junk kxb]=size(xb);
tb=ntb/nb; 

nt= nta+ntb;

% Caclulate the sum of the log deterimants of the time varying weight
% matrix, add the values of both before and after W
J=0;
for i=1:ta
    St=speye(na)-rho*Wa(:,1+i*na:(i+1)*na);
    dSt=log(det(St));
    J=J+dSt;
end
for i=1:tb
    St=speye(nb)-rho*Wb(:,1+i*nb:(i+1)*nb);
    dSt=log(det(St));
    J=J+dSt;
end

% Use substitution to obtain the b term, residuals and sige term, 
% thereby making the log likelihood only depend on rho
Sya=ya-rho*wya;
ba = xa\Sya;
ea = Sya - xa*ba;

Syb=yb-rho*wyb;
bb = xb\Syb;
eb = Syb - xb*bb;

% Combine the residuals
e = [eb' ea']';
epe = e'*e;

% The concetrated log likelihood, which is maximized over rho
llike = (nt/2)*log(epe/nt) + (nt/2)*(log(2*pi)+1)- J;